![](./img/wakepy-banner.svg)
<br><br><br>
# Overview

```{include} ../../README.md
:start-after: <!-- wakepy readme beginning -->
:end-before: <!-- wakepy readme at install before note -->
```

```{admonition} Restart your shell after installing wakepy
:class: note
To get the `wakepy` <a href="https://wakepy.readthedocs.io/stable/cli-api.html">CLI command</a> working, you might need to restart the shell / terminal application.
```

```{include} ../../README.md
:start-after: <!-- wakepy readme at install after note -->
:end-before: <!-- wakepy readme basic usage before tip -->
```



```{admonition} Next Steps
:class: seealso

See the [User Guide](#user-guide) and the available wakepy [Modes](#wakepy-modes) and [Methods](#wakepy-methods)
```
```{admonition} Wakepy API is still experimental 🚧
:class: note

Since wakepy is still 0.x.x, the API might change without further notice from
one release to another. After that, breaking changes should occur only part of
a major release (e.g. 1.x.x -> 2.0.0). 
```


```{include} ../../README.md
:start-after: <!-- wakepy readme where used -->
:end-before: <!-- wakepy readme after footnotes -->
```

```{toctree}
:hidden:
:maxdepth: 2
:numbered: -1
:titlesonly:

installing
user-guide
tests-and-ci
```

```{toctree}
:hidden:
:caption: 'Reference Manual:'
:maxdepth: 2
:numbered: -1
:titlesonly:

modes
methods-reference
api-reference
cli-api
```


```{toctree}
:hidden:
:caption: 'Technical Details:'
:maxdepth: 2
:numbered: -1
:titlesonly:

wakepy-mode-lifecycle
test-manually
```

```{toctree}
:hidden:
:caption: 'Development:'
:maxdepth: 2
:numbered: -1
:titlesonly:

changelog
migration
```